QGIS Application - Feature request #191
Legend improvements - further to #117
2006-07-13 07:24 PM - Brendan Morley -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Legend

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10250
Description

Whilst the immediate issue in #117 has been addressed, | have come up with some further ideas that may be useful to implement in the
post-0.8 timeframe.

1. Overview and Editing icons can be also shown beside the top-level layer name, to avoid having to enable "Show file groups”.

2. There also seems to be a "projection not valid" icon floating around in the code, however this hasn't been addressed in r5594. Perhaps
we need to do something for it too.

3. The column sizes have been hard-coded to arbitrary values. | have no problem if these get tweaked further.

4. Add an asterisk () to the layer name if it *has been edited but not saved. This is similar to some text editors | have seen.

History

#1 - 2006-07-20 02:35 AM - Gavin Macaulay -

Some changes relevant to this are in SVN commit:443e85bf (SVN r5617).

#2 - 2010-11-16 05:57 PM - Volker Frohlich

Ad 1: This ticket is pretty old and refers to a pretty old version. | don't know what it means.

Ad 2: | think, this currently doesn't exist.

Ad 3: If that means the legend dock, it's no longer true.

Ad 4: | think the redo/undo dock serves this purpose well, as long as only one layer is edited at a time.

#3 - 2011-06-25 02:45 AM - Paolo Cavallini

- Resolution set to fixed
- Status changed from Open to Resolved

So, closing it. Please reopen it if appropriate.

#4 - 2011-09-30 05:19 AM - Anita Graser
- Pull Request or Patch supplied set to No
- Status changed from Resolved to Closed
